Host Reference Manual Cover

CineNet™ Gateway Card and Host Software Reference Manual

Click on Image to Open

Revision 1.1
November 2000

Strong International


Warranty CNA Automation Host

CNA Automation Host® Warranty Information

CNA Cinema Network Automations, sold by STRONG INTERNATIONAL, are warranted against defects in materials and workmanship for one year from the date of purchase. There are no other express or implied warranties and no warranty of merchantability or fitness for a particular purpose.

During the warranty period, STRONG INTERNATIONAL will repair or, at its option, replace components that prove to be defective, provided the unit is shipped prepaid to the manufacturer directly or via an authorized distributor. Not covered by this warranty are defects caused by modification, misuse or accidents and any further damage caused by inadequate packing for service return.

STRONG INTERNATIONAL's obligation is restricted to the repair or replacement of defective parts and under no circumstances will STRONG INTERNATIONAL be liable for any other damage, either direct or consequential.


Host Reference Manual

CineNet™ Gateway Interface & Host Software Reference Manual

This manual explains how to use the Strong Host program for the CNA-100®, CNA-150® and CNA-200® Automation systems. The Host program is designed to run on a PC-XT or AT Personal Computer under MS-DOS version 3.20 or later. The program runs in conjunction with the 39361 Network Gateway card and supports up to 63 remote CNA Automations and Remote Monitors.

This manual describes the start up and operation of the Host program in sufficient detail for the experienced CNA Automation operator to use the program without other reference material. It will however, be necessary for the inexperienced operator to refer to the CNA-100®, CNA-150® or CNA-200® Cinema Network Automation Reference Manual.

This manual also covers the installation of the internal and external versions of the Gateway Interface.


Host Theory of Operationl

Theory of Operation

The Strong CineNet™ System is an integrated cinema automation network system that consists of a Host computer, a Gateway card and up to 63 remote devices (CNA-100s, CNA-150s, CNA-200s and Remote Monitors) that automate and report the status of all screens in a cinema multiplex.

The function of the Host is to monitor and display information which is transferred over the Local Synchronous Network (LSN) and to provide set-up and program data to the remote CNA Automations. The Host also provides a system wide time and date reference for all remotes.

The CineNet System can best be described by this illustration:


Host Theory of Operation - Communications

Theory of Operation - Communications

The Host communicates with the Gateway over a point to point 8-bit, 9600 BAUD, RS-232 serial interface. The Gateway assumes the position of primary and controls the transfer of data across the interface. The PC assumes the position of secondary. Data packets are transferred with a two-byte checksum and retry logic to preserve data integrity.

The data link between the Gateway and the remote CNA Automations has been designed to provide an efficient and reliable means of moving data at high speeds over long distances in the cinema booth environment. The physical characteristics of the network interface are as follows:

  • 2-wire isolated RS-485
  • 19.2 K BAUD asynchronous
  • Multi dropped remotes (63 max)

This data link is controlled with a proprietary protocol that uses retry logic and a checksum to insure the data is transferred without error.

On power up each remote CNA Automation requests the current Time and Date from the Host and sets its clock. In the event the network is down, the CNA-200® clock may be set locally.

The Host program is designed to provide all the network interface functions allowing the Personal Computer to serve as a command post to the entire system. All Host operator functions run in conjunction with the other network activity that is occurring. Programs, Clock Start Times and other Set-up data may be edited and transferred without adversely affecting the operation of the network. As long as the Host program is running, the network operations will continue transparent to the local Host function that is executing. There may however, be some degradation of response times for some functions when large amounts of data are transferred.


Host Required Hardware

Required Hardware

This section describes the hardware that is required to run the Host program. The Host program was designed for a PC-XT or AT Personal Computer. The minimum system requirements are as follows:

  • 256K Random Access Memory
  • Real-Time Battery Clock
  • 1 - 3 1/2 inch disk drive
  • Hard Disk with 1 megabyte or more of free space
  • 1 RS-232 Serial Port
  • Monochrome Monitor
  • External Gateway or Internal Gateway Card
  • There is also a cable that is necessary: P/N 39363 PC to Gateway cable

The PC to Gateway cable is supplied with the Gateway Card along with a 9 pin DB male to 25 pin DB female adapter. Use the adapter if the serial port on your Personal Computer is a 25 pin DB female adapter.


Host Required Software

Required Software

The Host System Software is delivered on a 3 1/2 inch diskette. Before starting the system, for your own protection, be sure to make a working copy of this distribution diskette! Then store the original distribution diskette in a safe place. Never use the actual distribution diskette for actual work!

The Strong CineNet Host program requires MS-DOS 3.20 (or later version) to operate. The Host distribution diskette contains the following files:

HOST.EXE
HOST.OVR
INSTALL.BAT
HOST.SET
LOGFILE.DAT
LOGFILE.IXP
C100FILE.DAT
C100FILE.IXP
C200FILE.DAT
C200FILE.IXP

Main Program file
Program file overlays
Installation batch file
Program System Setup file
Log Data file*
Log Data index file*
CNA-100 Data file
CNA-100 Data index file
CNA-200 Data file
CNA-200 Data index file

* For future use


Host Software Description

Software Description

PROGRAM FILES

The program files consist of HOST.EXE and HOST.OVR. These files contain all the Host system programs and overlays that are necessary at run time. These files must both reside in the active directory when the program is started.

INSTALLATION BATCH FILE

This batch file (INSTALL.BAT) is only used to transfer the program and data files from the Strong CineNet Host distribution diskette to the hard disk. Note, it automatically creates a new directory 'CNAHOST' on the hard disk.

SETUP FILE

The file HOST.SET contains the data entry parameters that configure the operation of the Host program. This file is automatically created by the Host program (with default values) if it does not exist.

LOG FILE

The Log File consist of two files LOGFILE.DAT and LOGFILE.IXP. The current implementation does not support the use these files. These files should remain in the active directory as not to restrict their implementation in the future.

CNA-100® FILE

The CNA-100® file consists of two files C100FILE.DAT and C100FILE.IXP. All the programs and setup information is contained in the data file (C100FILE.DAT). C100FILE.IXP is the index into the data file. This index file provides the fast access into the large data file. In the event a problem ever occurs with the index file (C100FILE.IXP), it can be recreated from the data file. The Host program will also create these files (empty) if necessary. For further details, see the Screen Description on page 35 for creating the CNA-100® file.

CNA-200® FILE

The CNA-200® file consists of two files C200FILE.DAT and C200FILE.IXP. All the programs and setup information is contained in the data file (C200FILE.DAT). C200FILE.IXP is the index into the data file. This index file provides the fast access into the large data file. In the event a problem ever occurs with the index file (C200FILE.IXP), it can be recreated from the data file. The Host program will also create these files (empty) if necessary. For further details, see the Screen Description Create CNA-200 File for creating the CNA-200® file.


Event Log File

Incoming CNA Automation Events are logged to EVENTLOG.$$$. The data in EVENTLOG.$$$ is then moved to EVENTLOG.TXT as soon as possible. Normally EVENTLOG.SSS will be "empty". Both files are simple comma delimited ASCII files and created automatically by the Host Program.

Below is an example of the EVENTLOG.TXT file:

1,0,6,34,"ResetPup",12289,0,481,2000,6,23,12,5,31,0,0,1,1,0,1,2000,6,23,12,5,22,1017,20075
1,0,6,9,"ReadyRun",9,0,481,2000,6,23,12,5,31,0,0,1,1,0,1,0,0,0,0,0,0,0,0
1,0,6,53,"ClkHostR",1,0,481,2000,6,23,12,5,32,0,0,1,1,0,1,2000,6,23,12,5,22,0,0
1,0,6,10,"FailSafe",10241,0,481,2000,6,23,12,5,33,0,0,1,1,0,1,0,0,0,0,0,0,0,0
1,0,6,34,"ResetPup",12289,0,481,2000,6,23,12,6,13,0,0,1,1,0,1,2000,6,23,12,5,46,1017,20075
1,0,6,9,"ReadyRun",9,0,481,2000,6,23,12,6,13,0,0,1,1,0,1,0,0,0,0,0,0,0,0
1,0,6,53,"ClkHostR",1,0,481,2000,6,23,12,6,14,0,0,1,1,0,1,2000,6,23,12,6,14,0,0
1,0,6,10,"FailSafe",10241,0,481,2000,6,23,12,6,15,0,0,1,1,0,1,0,0,0,0,0,0,0,0
1,0,6,34,"ResetPup",12289,0,481,2000,6,23,12,6,42,0,0,1,1,0,1,2000,6,23,12,6,32,1017,20075
1,0,6,9,"ReadyRun",9,0,481,2000,6,23,12,6,42,0,0,1,1,0,1,0,0,0,0,0,0,0,0
1,0,6,53,"ClkHostR",1,0,481,2000,6,23,12,6,44,0,0,1,1,0,1,2000,6,23,12,6,43,0,0
1,0,6,10,"FailSafe",10241,0,481,2000,6,23,12,6,45,0,0,1,1,0,1,0,0,0,0,0,0,0,0

There are 28 fields and each is separated byh a comma. Starting from the left the field names are:
1.
2.
3.
4.
5.
6.
7.
8.
9.
10.
11.
12.
13.
14.
15.
16.
17.
18.
19.
20.
21.
22.
23.
24.
25.
26.
27.
28. 		Network ID (1 through 63)
Record Version Number (event record version)
Network Device Type (CNA-100/150 or CNA-200)
Event Code Number
Event Code Name
Event Flag 1
Event Flag 2
Show Sequence Number (0 through 9999)
Year
Month
Day
Hour
Minutes
Seconds
Future Byte
Down Time
Sync Loop ID Number
Program Number
Status
Cue Number
Parameter 1
Parameter 2
Parameter 3
Parameter 4
Parameter 5
Parameter 6
Parameter 7
Parameter 8

The user may take a copy of EVENTLOG.TXT for reporting purposes. For Disk Maintenance simply delete or rename EVENTLOG.TXT. The Host program will recreate the filefor the next incoming Event record.

Note: New in version 1.010.


Host Log File

Host creates the "HOSTLOG.TXT" file which is used to record RTOS (Real-Time Operating System) Flash commands issued to the networki. If this file is renamed or deleted the Host will automatically create a new file.

10:13:07 1/25/2000 LSN Id= 2-36: Issued Goto Bootloader Command
10:14:52 1/25/2000 LSN Id= 2-36: Started to install:QDC400V5.S29
10:15:18 1/25/2000 LSN Id= 2-36: <<< TRANSFER COMPLETE >>>
10:15:23 1/25/2000 LSN Id= 2-36: Issued Goto Application Command
10:16:08 1/25/2000 LSN Id= 2- 1: Issued Goto Bootloader Command
10:16:31 1/25/2000 LSN Id= 2- 1: Issued Goto Application Command
14:17:21 1/25/2000 LSN Id= 2-36: Issued Goto Bootloader Command
14:18:28 1/25/2000 LSN Id= 2-36: Started to install:QDC400V5.S29
14:18:53 1/25/2000 LSN Id= 2-36: <<< TRANSFER COMPLETE >>>
14:19:05 1/25/2000 LSN Id= 2-36: Issued Goto Application Command
14:19:30 1/25/2000 LSN Id= 2-36: Issued Goto Bootloader Command
14:19:57 1/25/2000 LSN Id= 2-36: Issued Goto Application Command
14:23:00 1/25/2000 LSN Id= 2- 1: Issued Goto Bootloader Command
14:23:40 1/25/2000 LSN Id= 2- 1: Started to install:200V1016.S29
14:27:23 1/25/2000 LSN Id= 2- 1: <<< TRANSFER COMPLETE >>>
14:27:29 1/25/2000 LSN Id= 2- 1: Issued Goto Application Command

Note: New in version 1.010.


Host Starting the Host Program

Starting the Host Program

Be sure to follow the program installation procedure in the next section before attempting to run the Host program.

The Host System is delivered on a 3 ½ inch diskette. Before starting the system, for your own protection, be sure to make a working copy of this distribution diskette! Then store the original distribution diskette in a safe place. Never use the actual distribution diskette for actual work!

Once the program and data files are installed on your hard disk, the Host program can be automatically started by the AUTOEXEC.BAT file on power up.

Manual Start Up

When manual startup is performed, be sure that the system Clock/Calendar is correct!

The Host program expects to find required files within it’s own (CNAHOST) directory. It is therefor necessary to set the current directory to C:CNAHOST before starting the program. The following illustrates the two manual steps required to start the Host system program:

>C:CD C:\CNAHOST

>C:HOST

Terminating the Host Program

The Host program should always be terminated by selecting the ‘$ Exit to DOS’ option on the Main Menu.


Host Installing the Host Program

Installing the Host Program

This section describes the program installation procedure. It is assumed that the PC hard disk has been partitioned for MS-DOS 3.20 or later version and configured as a System disk (bootable).

First create a directory on the hard disk to store the Host program files. Use the MS-DOS 'MD' command to create athe CNAHOST directory.

>MD CNAHOST

Install the Strong CineNet Host distribution diskette in drive A or B. Use the MS-DOS 'COPY' command to copy the files from the distribution diskette to the CNAHOST idrectory on the hard disk.

>COPY A:*.* C:\CNAHOST

If it is desirable for the Host program to automatically start on power up, add the following two lines to your AUTOEXEC.BAT file:

CD C:\CNAHOST
HOST.EXE

This completes the installation of the program and data files on the hard disk.


Host Gateway Card Hookup

Internal Gateway Card Interface Hookup


Host Gateway External Card Hookup

External Gateway Interface Hookup


Host Screen Layout and Description

Screen Layout and Description

The Host program functions are organized by menus. This menu structure allows the various Host functions to be grouped in an organized fashion. Changing from menu to menu or menu to work screen is accomplished by single key strokes. The operator is prompted with text messages wherever possible to avoid the need to refer to this reference manual once the system is understood.

There is status information displayed at the top of the screen. The top status line is reserved for error and status messages. These messages may be system related problems, such as missing files, or operator entry errors such as trying to enter too large a value for a parameter. In the event that more than one message is active at a time, the messages are each cycled one second at a time until the condition is corrected. These messages, their causes, and corrections are fully described in Host Status and Error Messages.

The top status line also displays the Time and Date, and a number representing the network activity. The network activity is indicated by the number of packets of information crossing the interface. This number is incremented each time a packet is transferred (in either direction).


Host Main Menu

Main Menu

This is the Main Menu and power up screen for the Strong CineNet Host program.

The actual menu selection is made by simply typing a single digit. Control is then transferred to the corresponding menu or screen. Return to this screen can always be accomplished by typing '0' for 'Home' on higher level menus or by repeated use of the 'Esc' key. The selections on this menu are all higher level menus, and are described as follows:

Selection '$' | Terminates the Strong CineNet Host program. Control is transferred to the command mode of the MS-DOS operating system.
Selection '1' | Displays the Network Menu.
Selection '2' | Displays the CNA-100® / CNA-150® Menu.
Selection '3' | Displays the CNA-200® Menu.
Selection '4' | Displays the VNC Menu.
Selection '5' | Displays the Host Menu.

If Selection '$' is taken inadvertently, simply type in the command 'HOST'.


Host Network Menu

Network Menu

This menu operates in the same manner as the Main Menu. The selections available at this level are, however, actual system status screens. All system status information is accessed through this screen. The available choices are:

Selection '0' | Allows the operator to return to the Main Menu screen.
Selection '1' | Displays the Physical Overview screen. This screen shows the Id number of the active remote devices on the Local Synchronous Network (LSN).
Selection '2' | Displays the Logical Overview screen. This screen displays the current status, including device name and software version number of the Gateway and each remote device on the LSN.
Selection '3' | Displays the Remote Status Monitor screen. This screen displays the show status each CNA-100/150® and CNA-200®.
Selection '4' | Displays the LIN Detail status screen. This screen displays the status of each Local I/O Network device for each CNA-100/150® and CNA-200®.
Selection '5' | Displays the Event Buffer Maintenance screen. This screen allows the user to clear the Show Sequence Number or Event Buffer at the remote CNA automation. Also provides the option to resend All Event Buffer Data to the Host. This selection is new to version 1.010.
Selection '6' | Displays the Install Remote RTOS Flash screen. This screen allows the user to update the Real Time Operating System

Return to this screen occurs by pressing the 'Esc' key.


Host LSN Physical Overview Screen

LSN Physical Overview Screen

This is the LSN Physical Overview screen. This screen is used to show the Gateway's current polling status. The Id's of the devices are displayed indicating the device is active and responding to the network polls. In the event there is a network problem, this information can be used in conjunction with other status screens on the Host and CNA Automations to isolate the problem.

The Gateway maintains a polling status flag for each of the remote devices (CNA-100/150®s, CNA-200®s, RSM-10®s, etc.). The refresh logic in this screen requests reports of these flags every few seconds from the Gateway.


Host LSN Logical Overview Screen

LSN Logical Overview Screen

This is the LSN Logical Overview screen. This screen is used to show the Gateway's current polling status. The device type and software version numbers are displayed in the corresponding Id box, indicating the device is active and responding to the network polls. If a device stops responding for some reason (loss of power, etc.) the device name in the Id box will be highlighted. In the event there is a network problem, this information can be used in conjunction with other status screens on the Host and CNA Automations to isolate the problem.

The Gateway maintains a polling status flag for each of the remote devices (CNA-100/150®s, CNA-200®s, RSM-10®s, etc.). The refresh logic in this screen requests reports of these flags every few seconds from the Gateway.


Host Remote Status Screen

Remote Status Monitor Screen

This is the Remote Status Monitor screen. The operator can easily view the current show status of all the CNA Automations from this screen.

This screen operates in the following manner. On a periodic basis, a request is made to the Gateway to report the current polling status. When polling status is received, each of the active CNA Automations are sent a request for data. As the Host receives the data, it is displayed on a separate line for each Automation. The number in the first column corresponds to the device Id number (DIP switch setting) of the CNA Automation. The display fields are described as follows:

Start Mode indicates the automation is set for either a Timed, Clock or Manual start. Timed or Clock start applies to the CNA-150® and CNA-200® only. The CNA-100® will always display Manual start.

Show Status indicates the current status of the show. The messages displayed in this field are: Ready, Fault, Running, Interm and Stopped. Ready indicates the Automation is in the 'Ready to Run' state. Fault indicates the show was interrupted and has been stopped by a fault. Running indicates the show is running normally. Interm indicates the show is in a programmed intermission. And Stopped indicates the show was stopped with a local or remote stop, or by a fault that has been cleared and is 'Ready to Resume'.

Prog indicates the Program number the automation is running or ready to run.

Cue indicates the cue number the automation is waiting to see. An 'L' after the cue number indicates the automation is interlocked.

Sync Loop indicates what Sync Loop the automation is on.

Active Faults indicates the current fault status of the automation. The messages that can be displayed in this field are:

Film Presence or Tension Fault
Film Motion Fault
Supervisory Memory Fault
Start Time Memory Fault
Program xx-xx Memory Fault
Learn Time Memory Fault
Xenon Lamp Failure Fault
Local I/O Network Fault
Interlock Fault ID=xx
Sync Communication Fault ID=xx
Sync ID=xx Not Ready to Run
Sync ID=xx Not Ready to Resume

Sync: Need Master to Resume
Remote Stop Fault
Ready to Resume
Low Battery Fault
Maintenance Schedule A Fault
Maintenance Schedule B Fault
Maintenance Schedule C Fault
Maintenance Schedule D Fault
Missed Cue
Check Cue Learn Times
Fire Stop Alarm (Version 1.005 and later)

These fault messages are fully explained in the different automation reference manuals.


Host LIN Detail Screen

LIN Detail Screen

This is the LIN (Local I/O Network) Detail screen. The operator can easily view the status of the devices connected to the LIN for each CNA-100/150® or CNA-200® Automation (i.e. Booth and Console termination panels). Upon entering this screen the operator is requested to enter the Id number of the automation. The Id of the automation may be determined from the 'LSN Logical Overview' screen. When the number is known, enter the number in the 'Network ID' field. After entering the Id, a request is made to the Gateway to report the current polling status. When polling status is received, the CNA Automation is sent a request for data. As the Host receives the data, it is displayed on a separate line for each I/O Device. The number in the first column corresponds to the Id number of the I/O Device. The display fields are described as follows:

Id | Indicates the Id number of the device.
Status | This field indicates if the device is 'Active'. If it is inactive the field is blank.
Device | Indicates the name of the device. (i.e. Booth, Console, etc.)
Ver | This is the software 'version' number.
Chk | This field indicates the 'checksum' number of the device. The checksum is the arithmetic sum of the contents of the software, which is calculated upon each power up.
Stat | These are the Polling Status bits expressed as a hexadecimal number.
 | $80 | Active | (1=RESPONDED, 0=NOT)
 | $40 | Wrong Device Type | (1=PROBLEM, 0=OK)
 | $20 | Communications Link Error | (1=PROBLEM, 0=OK)
 | $10 | Not Responding Regularly Enough | (1=PROBLEM, 0=OK)
 | $08 | Not Defined | (0=ALWAYS)
 | $04 | Exchanging I/O in Progress | (1=EXCHANGING I/O, 0=NOT)
 | $02 | Remote Parameters Set | (1=DONE, NOT=0)
 | $01 | ID & Device Type Received | (1=DONE, NOT=0)
 | The bit definitions indicate that if the remote device is communicating properly the number should read: 10000111 or 87h. If the remote device is 'Not Responding Well' the number 97h is displayed and so forth.
Sys | These are the Device System Status bits expressed as a hexadecimal number.
 | $80 | Parameters | (1=OK, 0 = PROBLEM)
 | $40 | Communication Timeout Occurred | (1=TIMEOUT, 0=NOT)
 | The remote device returns the $80 bit to the CNA Automation indicating the setup parameters were received. Normally the number in this field should be 80h. If a communications timeout occurred, the $40 bit is set and the number will read C0h.
Attr | These are the Device Attribute bits expressed as a hexidecimal number. Each type of device will have a unique number (i.e. Booth termination board = 3E, Console termination board = 1E, etc).
Pup | This number represents the number of times the device was powered up or reset.
Err | This field counts the number times the CNA Automation has polled the remote device with no response.
ErrT | This field tracks the number of times the CNA Automation has polled the device with no response.
Tmr | This is the time (in tenths of a second) since last good message was received from the remote device.
Fault | This field displays a fault message to indicate the type of problem that exists. The messages are 'DevErr', 'Not Responding Well', and 'Not Responding'. 'DevErr' indicates that the CNA Automation does not recognize the remote device. This could be caused by a software version incompatibility. 'Not Responding Well' indicates that the remote device is not responding regularly enough. This could be due to a defective remote device or the wiring to it. 'Not Responding' indicates a communication timeout condition, meaning that the remote device has not responded in over five seconds.

In the event there is a network problem, this information can be used to isolate the problem.


Host Event Buffer Maintenance Screen

Event Buffer Maintenance Screen

This is the Event Buffer Maintenance screen. This screen allows the user to directly effect the contents of the event buffer at the CNA automation. The Clear Show Sequence Number selection will reset the Show number to "0". The Clear Event Buffer selection will clear all events from the CNA event buffer. These are all non-recoverable operations. The Resend All Event Buffer Data selection sends a command that requests all events from the remote Id. The Host will save the events to the EVENTLOG.TXT


Host RTOS Screen

First RTOS Screen

This is the first Install RTOS (Real Time Operating System) screen. This screen describes the procedure for installing the RTOS to a network device. It is recommended that you back up the configuration data. Use the 'Copy Configuration' screeens to back up network devices.

Read this screen carefully. Press 'Y' to continue or 'N' to return to the Network menu.

The network devices supported at this time are:

  • CNA-100 Automation Version 2.05 (or later)
  • CNA-150 Automation Version 3.050 (or later)
  • CNA-200 Automation Version 1.016 (or later)
  • QDC-400 Dimmer Version 5 (or later)


Host RTOS Screen II

Second RTOS Screen

From time to time new software is released for Strong CineNet® devices. This screen allows the installer or user to easily upgrade the software without installing PROM chips. The software will be supplied in the Motorola s-record format with the file extension .S29. Files are available on our web site for downloading.

The following procedure describes how to upgrade the network device software.

  1. Enter the Network Id. Enter the Id of the CNA automation or other network device. Valid Id numbers are 1 through 63. CNA automation Id numbers should correspond to the house number.

  2. Enter the Network Logical Id. The Logical Id is '1' for all CNA automations.
    Network Logical Id:
    1 | CNA Automation
    36 | QDC-400 #1 (LIN Id #13)
    38 | QDC-400 #2 (LIN Id #14)
    40 | QDC-400 #3 (LIN Id #15)
    42 | QDC-400 #4 (LIN Id #16)

  3. Press 'Enter'. The Host then makes a request from the network device. The device returns the RTOS version and checksum number. The device type and options are indicated in the 'Hardware' field.
    Hardware:
    dd-dd (where <dd>-<dd> is < LSN Device Type>-<Option>)
    LSN Device Type:
    4 | CNA Bootloader Program
    5 | CNA-100/150 Automation
    6 | CNA-200 Automation
    8 | QDC-400 Dimmer
    9 | QDC-400 Bootloader
    Options:
    0 | Not Installed
    1 | CNA-100 Front Panel Installed
    2 | CNA-200 Front Panel Installed
    3 | CNA-150 Front Panel Installed

  4. Press '1' to invoke the Boot Loader. After several seconds the display will indicate that the Boot Loader is running.

  5. Press '3' to Install the Application. The screen will prompt you for a pathname. Enter the path and filename. For example, enter: a:\200V1019.S29. Note: If you copy the file to the host directory, you do not need to type the path.

    The Host program does not prevent the user from installing the wrong file to a network device. For example, the Host will install a CNA-100 file to a CNA-200 Automation. Also, you are not prevented from installing a file to a device in operation.

  6. Press 'Enter' and 'Y' to perform the installation. The Host checks the validity of the file before installing the application. An error message will be displayed if the file is not a valid 's format'.

    The screen will display the progress of the installation as a percentage. The time it takes to fully install the application will depend on the number of devices on the network and the size of the file.

  7. Finally, press '2' to start the application RTOS.

The Bootloader program can be invoked in one of two ways. First, a command from the Host program will reset the device. Upon reset, a Host command will start the Bootloader program. Second, a switch on the network device will force the Bootloader to start up at power up. If flash memory was corrupted during a installation, this switch will be necessary to force the Bootloader.

Force Bootloader

On
Off 		:
: 		Force Bootloader.
Normal Use. (Factory Default)

The Bootloader program supports the LSN flash update network commands to load the CNA application program into flash memory over the LSN. The Bootloader itself is erased protected and cannot be erased by the user. This protection ensures that the Bootloader can always be reloaded even if the rest of the flash memory was corrupted through programmer error or by other means. If flash memory was corrupted, this switch on will force the Bootloader program at power up.

As mentioned before, the time it takes to install an application depends on the number of devices on the network and the size of the file. It takes approximately 3 to 4 minutes to install the CNA application program. If you are upgrading 20 units, it could take up to an hour and a half. Be sure to allow yourself enough time to perform the operation.


Host CNA-100 Menu

CNA-100/150® Menu

This is the CNA-100/150® Menu for the Strong CineNet Host program.

This menu operates in the same manner as the Main Menu. The selections available at this level are, however, actual work screens. All Set-up and transferring of Set-up data is accessed through this screen. The available choices are:

Selection '0' | Allows the operator to return to the Main Menu screen.
Selection '1' | Displays the Set-up CNA-100/150® Programs screen. This screen allows the user to set-up programs and to create, edit or delete records.
Selection '2' | Displays the Set-up CNA-100/150® Cue Learn Times screen. This screen allows the user to set-up and verify the Cue Learn times stored for a program.
Selection '3' | Displays the Set-up CNA-100/150® Supervisory Menu screen. This screen allows the user access to the Set-up CNA System screen and the Set-up Dimmer Menu screen.
Selection '4' | Displays the Copy Configuration screen. This screen allows the user to transfer all programs and/or supervisory data from a Host record to a CNA-100/150® or from a CNA-100/150® to a Host record.
Selection '5' | Displays the Copy Individual Programs screen. This screen allows the user to transfer individual programs from a Host record to a remote CNA-100/150® or from a CNA-100/150® to a Host record.

Return to this screen occurs by pressing the 'Esc' key.


Host CNA-100 Programs Screen

CNA-100/150® Programs Screen

This is the Set-up CNA-100/150® Programs screen. Upon entry to this screen, the cursor is highlighting the field corresponding to the question. The user has the option to either Edit (E) or Delete (D) a record. The default is Edit (E). Press the 'Enter' key or the cursor down key to move forward to the next field. Press the cursor up key to move back to a previous field.

In the 'Record Name:' field, the user can select a record to edit by scrolling through the list of record names with the 'Page Up' and 'Page Down' keys or by typing the name of the record (upper case only). A new record can also be created in this field.

Enter the program to edit in the 'Program Number' field. Legal entries are 1 through 9.

Move through the fields for each 'Step' and select the desired output state with the 'Space Bar'. Each program can contain up to nine cues. The fields and the range of selections for each field are listed below.

Sound | Non-Sync, Mono, SVA, SR, Dig 1, Aux 1.
Lens | Flat, Scope, Special.
Lights | Up, Down, Mid 1, Mid 2
Show End | On, Off (Off is represented by '____')
Inter (Intermission) | On, Off (Off is represented by '____')
Curtain Call | On, Off (Off is represented by '____')
Out 1 | On, Off (Off is represented by '____')
Out 2 | On, Off (Off is represented by '____')
Out 3 | On, Off (Off is represented by '____')
Out 4 | On, Off (Off is represented by '____')

To save the changes, press the 'Esc' key. The user is prompted with the message 'Save Changes? (Y/N)?' Press 'Y' and the user is prompted with the message 'Save To'. Press 'Enter' to save the current record or type in a new record name. The record name may be up to twenty (20) characters long and must be in upper case.

In the upper right corner of the display, a status of CNA-100/150® records are displayed. This is only status information and does not affect the operation of the screen.

Press 'Esc' to exit this screen and return to the CNA-100/150® Menu.


Host CNA-150 Setup Cue Learn

CNA-150® Cue Learn Screen

This is the Set-up CNA-150® Cue Learn Screen (the CNA-100 does not support CueLearn). On entry to this screen the cursor is highlighting the 'Record Name' field. Select the record to edit using the 'Page Up' or 'Page Down' keys. Press the 'Enter' key or the cursor down key to move forward to the next field. Press the cursor up key to move back to a previous field. Select the program number to edit by entering the number or by using the 'Page Up' or 'Page Down' keys.

At this time the user may enter or edit cue learn times by using the number keys. Press the cursor or [ENTER] to move to the different learn time fields. The learn times are displayed in minutes and seconds. The maximum value that can be entered is 999 minutes 59 seconds (equivalent to 16 hours 39 minutes and 59 seconds). Set all cue times which are not being used to 0:00. Verify upon completion that all cue times are arranged in chronological ascending order.

To save the changes, press the 'Esc' key. The user is prompted with the message 'Save Changes? (Y/N)?'. Press 'Y' and the user is prompted with the message 'Save to'. Press 'Enter' to save the current record or type in a new record name. The record name may be up to twenty (20) characters long and must be in upper case.

In the upper right hand corner of the display, a status of the CNA-100/150® records are displayed. This is only status information and does not affect the operation of the screen.

Press 'Esc' to exit this screen and return to the CNA-100/150® Menu.


Host CNA-100 CNA-150 Setup Supervisory Menu

CNA-100/150® Supervisory Menu Screen

This is the Set-up CNA-100/150® Supervisory Menu

This menu operates in the same manner as the Main Menu. The selections available at this level are, however, actual work screens. The setup of the CNA-100/150® Supervisory settings and the CNA Dimmer Settings are made through this screen. The available choices are:

Selection '0' | Allows the operator to return to the Main Menu screen.
Selection '1' | Displays the Set-up CNA-100/150® Supervisory screen. This screen allows the user to configure the system parameters such as time delays and relay contact configuration.
Selection '2' | Displays the Set-up CNA® Dimmer Menu. This screen allows the user access to the Set-up CNA® Dimmer Zone screen and the Set-up Dimmer Channels screen.

Press 'Esc' to exit this screen and return to the CNA-100/150 Menu.


Host CNA-100 / CNA-150 Setup Supervisory

CNA-100/150® Supervisory Screen

This is the Set-up CNA-100/150® Supervisory screen. On entry to this screen the cursor is highlighting the 'Record Name' field. Select the record to edit using the 'Page Up' or 'Page Down' keys. Press the 'Enter' key or the cursor down key to move forward to the next field. Press the cursor up key to move back to a previous field.

Edit field data with the number keys or select messages with the 'Space Bar'. Minimum and maximum values for each numeric field are displayed in the upper right corner of the screen. The fields and the range of selections for each field are listed below.

Sound C/O Delay (sec):
Lens C/O Time (sec):
Changeover Pulse (sec):
Failsafe Delay (sec):
Cue Factor Default:
Cue Learn:
Timed Start:
Check Cue Fault:
Missed Cue Fault:
Time Format:
Remote Stop Alarm:
Out 1 Controls:
Out 2 Controls:
Out 3 Controls:
Out 4 Controls:

0 - 59
0 - 9
0.0 - 1.0
0 - 10
0.001 - 0.999 (*)
Manual (*)
Disabled/Enabled (*)
Disabled/Enabled (*)
Disabled/Enabled (*)
Disabled/Enabled (*)
Disabled/Enabled (*)
None/Other Output
None/Other Output
None/Other Output
None/Other Output

(*): Applies to the CNA-150 only.

Outputs

Lens: | Contacts: Pulsed/Maintained Power-up: Flat/Scope/Special
Masking: | Contacts: Pulsed/Maintained Power-up: Flat/Scope/Special
Sound: | Contacts: Pulsed/Maintained
House Lights: | Contacts: Pulsed/Maintained, Power-up: Up/Down/Mid 1/Mid 2/No Op
Stage Lights: | Contacts: Pulsed/Maintained, Power-up: Up/Down/Mid 1/Mid 2/No Op
Curtain: | Contacts: Pulsed/Maintained, Power-up: Open/Close/None/No Op, Fault-to: Open/Close/None/No Op
Slide Projector: | Power-up: On/Off/No Op, Fault-to: On/Off/No Op
Out 1: | Contacts: Pulsed/Maintained, Power-up: On/Off/No Op, Fault-to: On/Off/No Op
Out 2: | Contacts: Pulsed/Maintained, Power-up: On/Off/No Op, Fault-to: On/Off/No Op
Out 3: | Contacts: Pulsed/Maintained, Power-up: On/Off/No Op, Fault-to: On/Off/No Op
Out 4: | Contacts: Pulsed/Maintained, Power-up: On/Off/No Op, Fault-to: On/Off/No Op

To save the changes, press the 'Esc' key. The user is prompted with the message 'Save Changes? (Y/N)?' Press 'Y' and the user is prompted with the message 'Save To'. Press 'Enter' to save the current record or type in a new record name. The record name may be up to twenty (20) characters long and must be in upper case.

In the upper right corner of the display, a status of CNA-100/150® records are displayed. This is only status information and does not affect the operation of the screen.

Press 'Esc' to exit this screen and return to the CNA-100/150® Menu.


Host CNA-100 / CNA-150 Setup Dimmer Menu

CNA-100/150® Dimmer Menu Screen

This is the Set-up CNA-100/150® Dimmer Menu Screen. This menu operates in the same manner as the Main Menu. The available choices are:

Selection '0' | Allows the operator to return to the CNA-100/150® Set-up Supervisory Menu screen.
Selection '1' | Displays the Set-up CNA-100/150® Dimmer Zone Names screen. This screen allows the user to set the user defined names for the different dimmer light zones.
Selection '2' | Displays the Set-up CNA® Dimmer Channels screen. This screen allows the user to set-up the level and fade-in times for each CNA® Dimmer Channel.

Press 'Esc' to exit this screen and return to the CNA-100/150 Supervisory Menu.


Host CNA-100 Setup Dimmer Zone

CNA-100/150® Dimmer Zone Screen

This is the Set-up CNA-100/150® Dimmer Zone Screen. On entry to this screen the cursor is highlighting the 'Record Name' field. Select the record to edit using the 'Page Up' or 'Page Down' keys. Press the 'Enter' key or the cursor down key to move forward to the next field. Press the cursor up key to move back to a previous field.

In the "Record Name:' field, the user can select a record to edit by scrolling through the list of record names with the 'Page Up' and 'Page Down' keys or by typing the name of the record (upper case only). A new record can also be created in this field.

The first two zones are pre-defined as House and Stage. Zones 3 through 16 may be assigned with user selected names. These names are limited to eight characters.

Note: This screen is for future use. Currently the CNA automation only supports the House and Stage zones.

To save the changes, press the 'Esc' key. The user is prompted with the message 'Save Changes? (Y/N)?' Press 'Y' and the user is prompted with the message 'Save To'. Press 'Enter' to save the current record or type in a new record name. The record name may contain up to twenty (20) characters and these characters must be in upper case.

Press 'Esc' to exit this screen and return to the CNA-100/150® Menu.


Host CNA-100 Setup Dimmer Channel

CNA-100/150® Dimmer Channels Screen

This is the Set-up CNA-100/150® Dimmer Channel screen. On entry to this screen the cursor is highlighting the 'Record Name' field. Select the record to edit using the 'Page Up' or 'Page Down' keys. Press the 'Enter' key or the cursor down key to move forward to the next field. Press the cursor up key to move back to a previous field.

In the 'Record Name:' field, the user can select a record to edit by scrolling through the list of record names with the 'Page Up' and 'Page Down' keys or by typing the name of the record (upper case only). A new record can also be created in this field. Press 'Enter' to move the cursor to the 'Dimmer Card' field adn enter the card number.

Press 'Enter' again to move the cursor to the 'Channel 1' field. Use the 'Space Bar' to select the appropriate zone. Use the number keys to enter a level and fade-in time for each light state.

The fields and the range of selections for each field are listed below

Level(%) | 0-100
Fade-In Time(Sec) | 0-99

A typical program might look like the following example:

Movie: | Program: | Lights:
Intermission Previews Feature Credits Intermission | :UP :MID 1 :DOWN :MID2 :UP | :House UP; Stage UP :House MID 1; Stage DOWN :House DOWN; Stage DOWN :House MID 2; Stage DOWN :House UP; Stage UP

To save the changes, press the 'Esc' key. The user is prompted with the message 'Save Changes? (Y/N)?'. Press 'Y' and the user is prompted with the message 'Save to'. Press 'Enter' to save the current record or type in a new record name. The record name may be up to twenty (20) characters long and must be in upper case.

Press 'Esc' to exit this screen and return to the CNA-100/150® Menu.


Host Copy CNA-100 / CNA-150 Configuration Screen

Copy CNA-100/CNA-150® Configuration

This is the Copy CNA-100/150® Configuration Screen. This screen allows the user to transfer all programs and/or supervisory data from a Host record to a CNA-100/150®or from a CNA-100/150® to a Host record. On entry to this screen the cursor will highlight the 'Copy:' field. Select the "direction" of the copy by pressing the 'Space Bar'. Continue by selecting the Id number of the 'target' or 'source' CNA-100/150® and the Host record. Scroll through the list of records by using the 'Page Up' and 'Page Down' keys.

The user may choose to copy Programs, Supervisory data, or both. Use the 'Space Bar' to select 'Yes' or 'No' in each field. In addition, if the automation is a CNA-150® the user may copy the Cue Learn times to the CNA-150® from a Host record or from the CNA-150® to the Host record.

The message 'Are You Sure you want to "Send" data to ID=1 (Y/N)?' or 'Are You Sure you want to "Get" data from ID=1 (Y/N)?' is displayed prior to the copy operation. Selecting 'N' aborts the copy and 'Y' starts the copy process.

Press 'Esc' to exit this screen and return to the CNA-100/150® Menu.


Host Copy individual CNA-100 / CNA-150 Programs

Copy Individual CNA-100/150® Programs

This is the Copy Individual CNA-100/150® Programs Screen. This screen allows the user to transfer individual programs from a Host record to a remote CNA-100/150®or from a CNA-100/150®to a Host record. On entry to this screen the cursor will highlight the 'Copy:' field. Select the "direction" of the copy by pressing the 'Space Bar'. Continue by selecting the Id number of the 'target' or 'source' CNA-100/150® and the Host record. Scroll through the list of records by using the 'Page Up' and 'Page Down' keys.

The user may choose which Program to copy. Enter data with the number keys.

The message 'Are You Sure you want "Send" data to ID=1 (Y/N)?' or 'Are You Sure you want to "Get" data from ID=1 (Y/N)?' is displayed prior to the copy operation. Selecting 'N' aborts the copy and 'Y' starts the copy process.

Press 'Esc' to exit this screen and return to the CNA-100/150® Menu.


Host CNA-200 Menu

CNA-200® Menu

This is the CNA-200® Menu for the Strong CineNet Host program. This menu operates in the same manner as the Main Menu. The selections available at this level are, however, actual work screens. All Set-up and transferring of Set-up data is accessed through this screen. The available choices are.

Selection '0' | Allows the operator to return to the Main Menu screen.
Selection '1' | Displays the Set-up Programs screen. This screen allows the user to set-up programs and to create, edit or delete records.
Selection '2' | Displays the Set-up Clock Start Time screen. This screen allows the user to create, edit or view up to ten clock start times for each day of the week.
Selection '3' | Displays the Set-up Cue Learn Times screen. This screen allows the user to create, edit or view up to twenty cue learn times for each program.
Selection '4' | Displays the Set-up Supervisory screen. This screen allows the user to configure the system parameters such as time delays and relay contact configuration.
Selection '5' | Displays the Copy Configuration screen. This screen allows the user to transfer Programs, Supervisory data, Learn Times and Clock Start Times from a Host record to a CNA-200® or from a CNA-200® to a Host record.
Selection '6' | Displays the Copy Individual Programs screen. This screen allows the user to transfer individual programs from a Host record to a remote CNA-200® or from a CNA-200® to a Host record.

Return to this screen occurs by pressing the 'Esc' key.


Host Setup CNA-200 Programs

Set-up CNA-200® Programs

This is the Set-up CNA-200® Programs screen. Upon entry to this screen, the cursor is highlighting the field corresponding to the question. The user has the option to either Edit (E) or Delete (D) a record. The default is Edit (E). Press the 'Enter' key or the cursor down key to move forward to the next field. Press the cursor up key to move back to a previous field.

In the 'Record Name:' field, the user can select a record to edit by scrolling through the list of record names with the 'Page Up' and 'Page Down' keys or by typing the name of the record (upper case only). A new record can also be created in this field.

Enter the program to edit in the 'Program Number' field. Legal entries are 1 through 9.

Special function keys and their uses are displayed at the bottom of the screen. Use these keys and key combinations to create, edit and view programs.

To save the changes, press the 'Esc' key. The user is prompted with the message 'Save Changes? (Y/N)?' Press 'Y' and the user is prompted with the message 'Save To'. Press 'Enter' to save the current record or type in a new record name. The record name may up to twenty (20) characters long and must be in upper case.

In the upper right corner of the display, a status of CNA-200® records are displayed. This is only status information and does not affect the operation of the screen.

Press 'Esc' to exit this screen and return to the CNA-200® Menu.


Host Setup CNA-200 Clock Start Times

Set-up CNA-200® Clock Start Times

This is the Set-up CNA-200® Clock Start Times screen. Press the 'Enter' key or the cursor down key to move forward to the next field. Press the cursor up key to move back to a previous field.

In the 'Record Name:' field, the user can select a record to edit by scrolling through the list of record names with the 'Page Up' and 'Page Down' keys or by typing the name of the record (upper case only). A new record can also be created in this field. Use the 'Space Bar' to select the Day of the Week.

Enter the show Start Times in chronological order. Select a Program to run with each Start Time and enter a movie title up to 14 characters long. The movie title is optional.

To save the changes, press the 'Esc' key. The user is prompted with the message 'Save Changes? (Y/N)?' Press 'Y' and the user is prompted with the message 'Save To'. Press 'Enter' to save the current record or type in a new record name. The record name may up to twenty (20) characters long and must be in upper case.

In the upper right corner of the display, a status of CNA-200® records are displayed. This is only status information and does not affect the operation of the screen.

Press 'Esc' to exit this screen and return to the CNA-200® Menu.


Host Setup CNA-200 Learn Times

Set-up CNA-200® Learn Times

This is the Set-up CNA-200® Learn Times screen. Press the 'Enter' key or the cursor down key to move forward to the next field. Press the cursor up key to move back to a previous field.

In the 'Record Name:' field, the user can select a record to edit by scrolling through the list of record names with the 'Page Up' and 'Page Down' keys or by typing the name of the record (upper case only). A new record can also be created in this field.

Select a Program number to edit. Each program can store up to twenty cue times. These times can be viewed and edited. Edit the learn times with the number keys.

To save the changes, press the 'Esc' key. The user is prompted with the message 'Save Changes? (Y/N)?' Press 'Y' and the user is prompted with the message 'Save To'. Press 'Enter' to save the current record or type in a new record name. The record name may up to twenty (20) characters long and must be in upper case.

In the upper right corner of the display, a status of CNA-200® records are displayed. This is only status information and does not affect the operation of the screen.

Press 'Esc' to exit this screen and return to the CNA-200® Menu.


Host CNA-200 Setup Supervisory Menu

CNA-200® Supervisory Menu Screen

This is the Set-up CNA-200® Supervisory Menu

This menu operates in the same manner as the Main Menu. The selections available at this level are, however, actual work screens. The setup of the CNA-200® Supervisory settings and the CNA Dimmer Settings are made through this screen. The available choices are:

Selection '0' | Allows the operator to return to the previous menu screen.
Selection '1' | Displays the Set-up CNA-200 System screen. This screen allows the user to configure the system parameters such as time delays and relay contact configuration.
Selection '2' | Displays the Dimmer Menu screen. This screen allows the user to configure the dimmer zone names and channels.
Selection '3' | Displays the Set-up RVC-5 Volume Control screen. This screen allows the user to select the type of sound processor that is connected to the RVC-5.

Press 'Esc' to exit this screen and return to the CNA-100/150 Menu.


Host CNA-200 Setup Supervisory

CNA-200® Supervisory Screen

This is the Set-up CNA-200® Supervisory screen. On entry to this screen the cursor is highlighting the 'Record Name' field. Select the record to edit using the 'Page Up' or 'Page Down' keys. Press the 'Enter' key or the cursor down key to move forward to the next field. Press the cursor up key to move back to a previous field.

Edit field data with the number keys or select messages with the 'Space Bar'. Minimum and maximum values for each numeric field are displayed in the upper right corner of the screen. The fields and the range of selections for each field are listed below.

Sound C/O Delay (sec):
Lens C/O Time (sec):
Changeover Pulse (sec):
Failsafe Delay (sec):
Cue Factor Default:
Password #1:
Cue Learn:
Timed Start:
Clock Start:
Check Cue Fault:
Missed Cue Fault:
Fault Defeat:
Schedule A:
Schedule B:
Schedule C:
Schedule D:
Time Format:
Remote Stop Alarm (sec)
Out 1 Controls:
Out 2 Controls:
Out 3 Controls:
Out 4 Controls:

0 - 59
0 - 9
0.0 - 1.0
0 - 10
0.001 - 0.999
00 - 99
Manual/Auto
Enabled/Disabled
Enabled/Disabled
Enabled/Disabled
Enabled/Disabled
Enabled/Disabled
0 - 65,535 (hrs)
0 - 65,535 (hrs)
0 - 65,535 (hrs)
0 - 65,535 (hrs)
12Hr/24Hr
0-99
None/Other Output
None/Other Output
None/Other Output
None/Other Output

Maintenance Schedules
Schedule A: Enter Text Here
Schedule B: Enter Text Here
Schedule C: Enter Text Here
Schedule D: Enter Text Here
         0-65535 (hours)
0-65535 (hours)
0-65535 (hours)
0-65535 (hours)

Outputs

Lens: | Contacts: Pulsed/Maintained Power-ups: Flat/Scope/Special
Masking: | Contacts: Pulsed/Maintained Power-ups: Flat/Scope/Special
Sound: | Contacts: Pulsed/Maintained
House Lights: | Contacts: Pulsed/Maintained, Power-up: Up/Down/Mid 1/Mid 2/No Op
Stage Lights: | Contacts: Pulsed/Maintained, Power-up: Up/Down/Mid 1/Mid 2/No Op
Curtain: | Contacts: Pulsed/Maintained, Power-up: Open/Close/None/No Op, Fault-to: Open/Close/None/No Op
Slide Projector: | Power-up: On/Off/No Op, Fault-to: On/Off/No Op
Out 1: | Contacts: Pulsed/Maintained, Power-up: On/Off/No Op, Fault-to: On/Off/No Op
Out 2: | Contacts: Pulsed/Maintained, Power-up: On/Off/No Op, Fault-to: On/Off/No Op
Out 3: | Contacts: Pulsed/Maintained, Power-up: On/Off/No Op, Fault-to: On/Off/No Op
Out 4: | Contacts: Pulsed/Maintained, Power-up: On/Off/No Op, Fault-to: On/Off/No Op

To save the changes, press the 'Esc' key. The user is prompted with the message 'Save Changes? (Y/N)?' Press 'Y' and the user is prompted with the message 'Save To'. Press 'Enter' to save the current record or type in a new record name. The record name may contain up to twenty (20) characters and these characters must be in upper case.

In the upper right corner of the display, a status of CNA-200® records are displayed. This is only status information and does not affect the operation of the screen.

Press 'Esc' to exit this screen and return to the CNA-200® Menu.


Host CNA-200 Setup Dimmer Menu

CNA-200® Dimmer Menu Screen

This is the Set-up CNA-200® Supervisory Menu. This menu operates in the same manner as the Main Menu. The available choices are:

Selection '0' | Allows the operator to return to the CNA-200® Set-up Supervisory Menu screen.
Selection '1' | Displays the Dimmer Zone screen. This screen allows the user to enter or edit light zone names.
Selection '2' | Displays the Dimmer Channels screen. This screen allows the user to configure dimmer levels and fade times for each channel.

Press 'Esc' to exit this screen and return to the CNA-200 Supervisory Menu.


Host CNA-200 Setup Dimmer Zone

CNA-200® Dimmer Zone Screen

This is the Set-up CNA-200® Dimmer Zone Screen. Upon entry to this screen the cursor is highlighting the 'Record Name:' field. Press the 'Enter' key or the cursor down key to move forward to the next field. Press the cursor up key to move back to a previous field.

In the 'Record Name:' field, the user can select a record to edit by scrolling through the list of records names with the 'Page Up' and 'Page Down' keys or by typing the name of the record (upper case only). A new record can also be created in this field.

This screen allows the user to enter an 8 character name for Zones 3 through 16. This text will then show up at the Host/CNA setup and program screens.

Note: This screen is for future use. Currently the CNA automation only supports the House and Stage zones.

To save the changes, press the 'Esc' key. The user is prompted with the message 'Save Changes? (Y/N)?' Press 'Y' and the user is prompted with the message 'Save To'. Press 'Enter' to save the current record or type in a new record name. The record name may contain up to twenty (20) characters and these characters must be in upper case.

Press 'Esc' to exit this screen and return to the CNA-200® Supervisory Menu.


Host CNA-200 Set-up Dimmer Channel

CNA-200® Dimmer Channels Screen

This is the Set-up CNA-200® Dimmer Channels screen. Upon entry to this screen the cursor is highlighting the 'Record Name:' field. Press the 'Enter' key or the cursor down key to move forward to the next field. Press the cursor up key to move back to a previous field.

In the 'Record Name:' field, the user can select a record to edit by scrolling through the list of record names with the 'Page Up' and 'Page Down' keys or by typing the name of the record (upper case only). A new record can also be created in this field. Press 'Enter' to move the cursor to the 'Dimmer Card' field and enter the card number.

Press 'Enter' again to move the cursor to the 'Channel 1' field. Use the 'space bar' to select the appropriate zone. Use the number keys to enter a level adn fade-in time for each light state.

The fields and the range of selections for each field are listed below

Level(%) | 0-100
Fade-In Time(Sec) | 0-99

A typical program might look like the following example:

Movie: | Program: | Lights:
Intermission Previews Feature Credits Intermission | UP MID 1 DOWN MID2 UP | House UP; Stage UP House MID 1; Stage DOWN House DOWN; Stage DOWN House MID 2; Stage DOWN House UP; Stage UP

To save the changes, press the 'Esc' key. The user is prompted with the message 'Save Changes? (Y/N)?'. Press 'Y' and the user is prompted with the message 'Save to'. Press 'Enter' to save the current record or type in a new record name. The record name may be up to twenty (20) characters long and must be in upper case.

Press 'Esc' to exit this screen and return to the CNA-200® Menu.


Host Copy CNA-200 Configuration

Copy CNA-200® Configuration

This is the Copy CNA-200® Configuration Screen. This screen allows the user to transfer Programs, Supervisory data, Learn Times, and/or Clock Start Times from a Host record to a CNA-200® or from a CNA-200® to a Host record. Upon entry to this screen the cursor will highlight the 'Copy:' field. Select the "direction" of the copy by pressing the 'Space Bar'. Continue by selecting the Id number of the 'target' or 'source' CNA-200® and the Host record. Scroll through the list of records by using the 'Page Up' and 'Page Down' keys.

The user may choose to copy Programs, Supervisory, Start Times or Learn Times. Use the 'Space Bar' to select 'Yes' or 'No' in each field.

The message 'Are You Sure you want to "Send" data to ID=1 (Y/N)?' or 'Are You Sure you want to "Get" data from ID=1 (Y/N)?' is displayed prior to the copy operation. Selecting 'N' aborts the copy and 'Y' starts the copy process.

Press 'Esc' to exit this screen and return to the CNA-200® Menu.


Host CNA-200 Set-up RVC-5

CNA-200® RVC-5 Setup Screen

This is the Set-Up RVC-5 CNA-200 Volume Control screen. Press the 'Enter' key or the cursor key to move forward to the next field. Press the cursor up key to move back to a previous field.

In the 'Record Name:' field, the user can select a record to edit by scrolling through the list of records names with the 'Page Up' and 'Page Down' keys or by typing the name of the record (upper case only). A new record can also be created in this field.

Press the 'space bar' to enable the RVC-5 and to select the type of sound processor.

Press 'Esc' to exit this screen and return to the CNA-200® Menu.


Host Copy Individual CNA-200 Programs

Copy Individual CNA-200® Programs

This is the Copy Individual CNA-200® Programs Screen. This screen allows the user to transfer individual Programs with or without Learn Times from a Host record to a remote CNA-200® or from a CNA-200® to a Host record. On entry to this screen the cursor will highlight the 'Copy:' field. Select the " direction" of the copy by pressing the 'Space Bar'. Continue by selecting the Id number of the 'target' or 'source' CNA-200® and the Host record. Scroll through the list of records by using the 'Page Up' and 'Page Down' keys.

The user may choose which Program to copy. Enter data with the number keys. Select to copy Learn Times with the "Space Bar'.

The message 'Are You Sure you want to "Send" data to ID=1 (Y/N)?' or 'Are You Sure you want to "Get" data from ID=1 (Y/N)?' is displayed prior to the copy operation. Selecting 'N' aborts the copy and 'Y' starts the copy process.

Press 'Esc' to exit this screen and return to the CNA-200® Menu.


Host Menu

This is the Host Menu Screen. This operates in the same manner as the Main Menu. The selections available at this level are, however, actual work screens. All normal system maintenance is activated through this screen. The available choices are:

Selection '0' | Allows the operator to return to the Main Menu screen.
Selection '1' | Displays the Host System Configuration screen. This screen allows the System configurable data to be edited and viewed.
Selection '2' | Creates the Log File if it does not exist. It also builds the Log Index file from the Log File if necessary.
Selection '3' | Creates the CNA-100/150® Program File if it does not exist. It also builds the CNA-100/150® Index File from the CNA-100/150® Program File if necessary.
Selection '4' | Creates the CNA-200® Program File if it does not exist. It also builds the CNA-200® Index File from the CNA-200® Program File if necessary.

Return to this screen occurs at the completion of the local function or by pressing the 'Esc' key.


Host Configuration

This screen allows the operator to configure the serial port and IRQ. The valid selections for the serial port are Com1, Com2, Com3, Com4 or OFF. The valid selections for the IRQ are 0 through 7.

This screen also allows the operator to configure the Host as a "Primary Host" or "Secondary Host". To configure the Host as a Primary, set the Gateway Card LSN Id to ‘0'. To configure as a Secondary, set the LSN Id to ‘1 through 63'. A Secondary Host will typically be used by the technician’s laptop computer for initial setting up and troubleshooting.

To select either 12 hour mode or 24 hour mode, press the ‘space bar’ when the ‘Time Format’ field is highlighted.

The Host can save the EVENTLOG.TXT with a header or not. Use the 'space bar' to select 'Header' or 'No Header'. If the 'Header' option is selected then the first record of EVENTLOG.TXT will contain the name of all the record fields.

Press the ‘Esc’ key at any time to abort the screen. Press the ‘Enter’ key at the ‘ENTER/CHANGE?’ prompt to save changes and return to the Host Menu.


Host Create Log File

Create Log File

This screen allows the operator to create the Log Files ‘LOGFILE.DAT’ and ‘LOGFILE.IXP’ when they do not exist. This screen will also automatically create the index file ‘LOGFILE.IXP’ based on the data in the ‘LOGFILE.DAT’.

This screen will not normally be used, in fact when both files are present on the disk, this screen will not do anything. It is provided for system initialization and as a utility for rebuilding the Log Index File should it ever become necessary.

In the event a problem ever develops with the index file (LOGFILE.IXP), it may be deleted. This screen will automatically recreate it from the data file.


Host Create CNA-100 File

Create CNA-100/150® File

This screen allows the operator to create the Log Files 'C100FILE.DAT' and 'C100FILE.IXP' when they do not exist. This screen will also automatically create the index file 'C100FILE.IXP' based on the data in the 'C100FILE.DAT'.

This screen will not normally be used, in fact when both files are present on the disk, this screen will not do anything. It is provided for system initialization and as a utility for rebuilding the CNA-100/150® Index File should it ever become necessary.

It is helpful to understand the purpose of these two files. The file 'C100FILE.DAT' consists of records for each CNA-100/150® in the file. Each record contains the Programs and Supervisory set-up parameters for that CNA-100®. The file 'C100FILE.IXP' simply provides an index to the data contained in the 'C100FILE.DAT'. The structure of the data file allows the index file to be recreated based on the information in the data file.

In the event a problem ever develops with the index file (C100FILE.IXP), it may be deleted. This screen will automatically recreate it from the data file.

In the event a problem ever develops with the data file (C100FILE.DAT), it must be restored from a recent backup. Therefore perform backups frequently!


Host Create CNA-200 File

Create CNA-200® File

This screen allows the operator to create the Log Files 'C200FILE.DAT' and 'C200FILE.IXP' when they do not exist. This screen will also automatically create the index file 'C200FILE.IXP' based on the data in the 'C200FILE.DAT'.

This screen will not normally be used, in fact when both files are present on the disk, this screen will not do anything. It is provided for system initialization and as a utility for rebuilding the CNA-200® Index File should it ever become necessary.

It is helpful to understand the purpose of these two files. The file 'C200FILE.DAT' consists of records for each CNA-200® in the file. Each record contains the Programs and Supervisory set-up parameters for that CNA-200®. The file 'C200FILE.IXP' simply provides an index to the data contained in the 'C200FILE.DAT'. The structure of the data file allows the index file to be recreated based on the information in the data file.

In the event a problem ever develops with the index file (C200FILE.IXP), it may be deleted. This screen will automatically recreate it from the data file.

In the event a problem ever develops with the data file (C200FILE.DAT), it must be restored from a recent backup. Therefore perform backups frequently!


Host Status and Error Messages

Status and Error Messages

The top line of the Host monitor screen is reserved for displaying status and error messages. These messages, their causes and corrections are described here.

CAN'T OPEN LOG FILE - The Log File cannot be opened. Check to see that both the index (LOGFILE.IXP) and data file (LOGFILE.DAT) are present in the CNAHOST directory. See Create Log File for details for creating the Log File.

CAN'T OPEN SETUP FILE - The file HOST.SET cannot be opened. This file simply contains the System Setup information. Delete the file and re-enter the data on the Host System Configuration screen as described on page 33.

CAN'T OPEN CNA-100® FILE - The CNA-100® file cannot be opened. Check to see that both the index (C100FILE.IXP) and data file (C100FILE.DAT) are present in the CNAHOST directory. See Create CNA-100 Log File for details for creating the CNA-100® File or restore BOTH files from a recent backup.

CAN'T OPEN CNA-200® FILE - The CNA-200® file cannot be opened. Check to see that both the index (C200FILE.IXP) and data file (C200FILE.DAT) are present in the CNAHOST directory. See Create CNA-200 Log File for details for creating the CNA-200® File or restore BOTH files from a recent backup.

KEYBOARD ENTRY ERROR - The operator has tried to enter too high or too low a value for the current data field. Clear the field and enter a valid number.

DRIVE N FULL - There is no more room on this drive. The file(s) residing on this drive require more disk space than is available. In most cases the problem is due to too many records in the CNA-100® or CNA-200® Data File. Free up space on this drive.

LOGFILE.IXP ERROR - There is an error reading the Log Data file. This could be a mismatch due to a corrupted index file. If the problem persists, delete the 'LOGFILE.IXP' file and re-create it as described in Create Log File.

C100FILE.IXP ERROR - There is an error reading the CNA-100® Data file. This could be a mismatch due to a corrupted index file. If the problem persists, delete the 'C100FILE.IXP' file and re-create it as described in Create CNA-100 Log File

C200FILE.IXP ERROR - There is an error reading the CNA-200® Data file. This could be a mismatch due to a corrupted index file. If the problem persists, delete the 'C200FILE.IXP' file and re-create it as described in Create CNA-200 Log File.

PROGRAM FULL / DELETE STEPS - The CNA-200® Program is full. This is most likely due to an extraneous instruction on the last line of the program. Page down through the program and delete the unwanted instruction.


Addendum - CNA Host

Section 5 - Addendum

Software Changes

This section details the CNA® Host Software changes.

Version 1.002
Date: 3/20/97

  1. First release.

Version 1.003
Date: 7/09/97
Note: This Host requires:
CNA-100® V1.05
CNA-200® V1.006

  1. Modified Machine Status Record for additional fault text information. This limits displayed faults at the Host to the 4 highest active faults. This change is incompatible with previous CNA-100® and CNA-200® software. (Previous versions will not be displayed on the "Remote Status Monitor" screen at the Host until they are running the newest software.
  2. Added "Copy Program Yes/No" field to CNA-200® Copy Individual Programs screen. This now allows individual Learn Times to be copied.
  3. Maintenance Timers now have 22 character programmable text. This effects CNA-200® Remote Status and Setup Supervisor.
  4. Added CNA-200® "Remote Stop Alarm (sec) dd" to Supervisor setup. This provides a programmable "beep" time for the CNA-200®'s Remote Stop Alarm. Setting this field to zero disables the "beep".
  5. Added programmable Power Up Lens state to CNA-100® and CNA-200® Setup Supervisory screens.

Version 1.004
Date: 9/10/97
Note: This Host requires:
CNA-100® V1.06
CNA-200® V1.007

  1. Added 3 new Host Error Messages:
    1. "COM ERROR ID=dd: UPGRADE CNA SOFTWARE"
      (Active when received packet version is less than expected by the Host. Cleared by next keystroke.)
    2. "COM ERROR ID=dd: UPGRADE HOST SOFTWARE"
      (Active when received packet version is greater than expected by the Host. Cleared by next keystroke.)
    3. "COM ERROR ID=dd: INVALID HOST TIME AND DATE"
      (Active when Host Year is less than 1997. Cleared by setting Host Year to 1997 or later.)

Version 1.005
Date: 10/16/98
Note: This Host requires:
CNA-100® V1.06
CNA-200® V1.007

  1. Host I/O Detail Screen now supports three new I/O device IDs:
    1. Up to two ACP-50® Auxiliary Control Panel
    2. RCV-10® Remote Control Volume
  2. Added support for the new "FIRE STOP ALARM" Fault.

Version 1.006
Date: 03/04/99
Note: This Host requires:
CNA-100® V1.06
CNA-150® V2.000a/V3.000a
CNA-200® V1.007

  1. Added support for CNA-150® on the Logical Network Overview screen.
  2. Added support for the QDC-400® on the I/O Detail screen.

Version 1.007
Date: 6/22/99
Note: This Host requires:
CNA-100® V1.06
CNA-150® V2.030/V3.030
CNA-200® V1.013

  1. Added support for CNA-150®:
    1. QDC-400® Digital Dinner setup support (names & channels).
    2. Edit Cue Learn Times.
    3. Upload / Download Cue Learn Times.
    4. Added System parameters:
      1. Aux Outputs
      2. Cue Factor
      3. Cue Learn Mode
      4. Timed Start
      5. Check Cue Learn Times
      6. Missed Cue Fault
      7. Remote Stop Alarm
  2. Select_Message routine now decrements the message flag when the '-' key is pressed.
  3. Added new "Aux Out" instruction #28 for the CNA-200® Program Editor.

Version 1.010
Date: 2/4/00
Note: This Host requires:
CNA-100® V2.05
CNA-150® V2.050
CNA-200® V1.016
  1. Added support for Event Logging. Incoming events are logged to EVENTLOG.$$$. The data in EVENTLOG.$$$ is then moved to EVENTLOG.TXT as soon as possible. Normally EVENTLOG.$$$ will be "empty". Both files are simple text files and created automatically by the Host program. The user may take a copy of EVENTLOG.TXT for reporting purposes. For Disk Maintenance simply delete or rename EVENTLOG.TXT. The Host program will recreate the file for the next incomimg Event record.
  2. Fixed misc text messages on Setup CNA-200 Supervisory Screen from "No Op" to "No-Op" for consistency.
  3. Added support for RVC-5 Remote Volume Control for the CNA-200. The following varibles replaced existing spare bytes in System Parameters for RVC-5 Configuration: Channel 1: 0=Dolby CP65, 1=Dobly CP500, 2=Ultra Stereo JS-200, 3=EPRAD DSS. Channel 2: 0=Dolby CP65, 1=Dobly CP500, 2=Ultra Stereo JS-200, 3=EPRAD DSS.
  4. Added new "Volume" Instruction #29 to Feature program.

    "x-xx Volume -vv.v Fade Time tt mm:ss""

    where:
    vv.v = Volume level in dB*10 (-50.0 to +10.0)
    tt = Fade Time in seconds (0 to 10)
    mm = Delay Time in minutes (0 to 59)
    ss = Delay Time in seconds (0 to 59)
  5. Added CNA-200 Set-up RVC-5 Screen.
  6. Added support for Flash Download (RTOS) to Network Menu.
  7. Logical Network Overview Screen now supports "CNABOOT" type.
  8. I/O Detail Screen now supports "QDCBOOT" type.
  9. Host now creates the file "HOSTLOG.TXT" which is used to record RTOS Flash commands issued to the network.


Host Version Compatibility Table

Version Compatibility Table

Automation | Works best with... | Also compatible with..
CNA-100 Version 1.05 | Host Version 1.003 |
CNA-100 Version 1.06 | Host Version 1.006 | Host Version 1.004, 1.005
CNA-100 Version 1.07 | Host Version 1.006 | Host Version 1.004, 1.005
CNA-100 Version 1.08 | Host Version 1.006 | Host Version 1.005
CNA-100 Version 2.01 | Host Version 1.007 |
CNA-100 Version 2.02 | Host Version 1.007 |
CNA-100 Version 2.03 | Host Version 1.007 |
CNA-100 Version 2.05 | Host Version 1.010 |
CNA-150 Version 3.010 | Host Version 1.006 | Host Version 1.007
CNA-150 Version 3.020 | Host Version 1.007 | Host Version 1.006
CNA-150 Version 3.030 | Host Version 1.007 | Host Version 1.006
CNA-150 Version 3.050 | Host Version 1.010 |
CNA-200 Version 1.006 | Host Version 1.003 |
CNA-200 Version 1.007 | Host Version 1.006 | Host Version 1.004, 1.005
CNA-200 Version 1.007 | Host Version 1.006 | Host Version 1.004, 1.005
CNA-200 Version 1.008 | Host Version 1.006 | Host Version 1.004, 1.005
CNA-200 Version 1.009 | Host Version 1.006 | Host Version 1.004, 1.005
CNA-200 Version 1.010 | Host Version 1.006 | Host Version 1.004, 1.005
CNA-200 Version 1.011 | Host Version 1.006 | Host Version 1.005
CNA-200 Version 1.013 | Host Version 1.007 |
CNA-200 Version 1.016 | Host Version 1.010 |


Host Overview

CineNet™ Gateway Interface & Host Software Overview

This manual explains how to use the Strong Host program for the CNA® Automation systems. The Host program is designed to run on a PC-XT or AT Personal Computer under MS-DOS version 3.20 or later. The program runs in conjunction with the 39361 Network Gateway card and supports up to 63 remote CNA Automations and Remote Monitors.

This manual describes the start up and operation of the Host program in sufficient detail for the experienced CNA Automation operator to use the program without other reference material. It will however, be necessary for the inexperienced operator to refer to the CNA-200 Setup and Operation Manual or the CNA-150 Setup and Operation Manual or the CNA-100 Setup and Operation Manual.

This manual also covers the installation of the internal and external versions of the Gateway Interface.


Host Theory of Operation External

Theory of Operation

The Strong CineNet™ System is an integrated cinema automation network system that consists of a Host computer, a Gateway card and up to 63 remote devices (CNA-100®s, CNA-150®s, CNA-200®s and Remote Monitors) that automate and report the status of all screens in a cinema multiplex.

The function of the Host is to monitor and display information which is transferred over the Local Synchronous Network (LSN) and to provide set-up and program data to the remote CNA Automations. The Host also provides a system wide time and date reference for all remotes.

The CineNet System can best be described by this illustration: